org.apache.felix.scr.annotations

## Enum ReferenceStrategy

- java.lang.Object
- - java.lang.Enum<ReferenceStrategy>
  - - org.apache.felix.scr.annotations.ReferenceStrategy

All Implemented Interfaces:
  Serializable, Comparable<ReferenceStrategy>

Deprecated.
Use the OSGi annotations from org.osgi.service.component.annotations.*

    @Deprecated
    public enum ReferenceStrategy
    extends Enum<ReferenceStrategy>

Options for `Reference.strategy()` property.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EVENT` Deprecated.
`LOOKUP` Deprecated.

### Method Summary

Methods
`static ReferenceStrategy` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static ReferenceStrategy[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EVENT

    public static final ReferenceStrategy EVENT

Deprecated.

#### LOOKUP

    public static final ReferenceStrategy LOOKUP

Deprecated.

### Method Detail

#### values

    public static ReferenceStrategy[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ReferenceStrategy c : ReferenceStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ReferenceStrategy valueOf(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null